package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * OMS销售出库TOC业务明细表(BusidataTocsalesDetail)实体类
 *
 * @author makejava
 * @since 2024-03-11 17:05:36
 */
public class BusidataTocsalesDetailEntity extends BaseEntity {

    private String barcode;
    private String brandName;
    private String brandNo;
    private String costPrice;
    private String createdDate;
    private String discount;
    private String fromMask;
    private String giftType;
    private String goodProp1;
    private String goodProp2;
    private String goodProp3;
    private String goodProp4;
    private String goodProp5;
    private String goodProp6;
    private String goodsAmount;
    private String goodsCount;
    private String goodsId;
    private String goodsName;
    private String goodsNo;
    private String goodsType;
    private String isPackage;
    private String marketPrice;
    private String modifiedDate;
    private String paid;
    private String platformId;
    private String prop1;
    private String prop2;
    private String prop3;
    private String prop4;
    private String prop5;
    private String prop6;
    private String recId;
    private String refundStatus;
    private String remark;
    private String saleOrderId;
    private String sellPrice;
    private String shareAmount;
    private String sharePostAmount;
    private String sharePrice;
    private String specCode;
    private String specId;
    private String specName;
    private String specNo;
    private String srcOid;
    private String srcOrderDetailId;
    private String srcTid;
    private String stockoutId;
    private String suiteNo;
    private String taxRate;
    private String totalAmount;
    private String weight;


    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getBrandNo() {
        return brandNo;
    }

    public void setBrandNo(String brandNo) {
        this.brandNo = brandNo;
    }

    public String getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(String costPrice) {
        this.costPrice = costPrice;
    }

    public String getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(String createdDate) {
        this.createdDate = createdDate;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    public String getFromMask() {
        return fromMask;
    }

    public void setFromMask(String fromMask) {
        this.fromMask = fromMask;
    }

    public String getGiftType() {
        return giftType;
    }

    public void setGiftType(String giftType) {
        this.giftType = giftType;
    }

    public String getGoodProp1() {
        return goodProp1;
    }

    public void setGoodProp1(String goodProp1) {
        this.goodProp1 = goodProp1;
    }

    public String getGoodProp2() {
        return goodProp2;
    }

    public void setGoodProp2(String goodProp2) {
        this.goodProp2 = goodProp2;
    }

    public String getGoodProp3() {
        return goodProp3;
    }

    public void setGoodProp3(String goodProp3) {
        this.goodProp3 = goodProp3;
    }

    public String getGoodProp4() {
        return goodProp4;
    }

    public void setGoodProp4(String goodProp4) {
        this.goodProp4 = goodProp4;
    }

    public String getGoodProp5() {
        return goodProp5;
    }

    public void setGoodProp5(String goodProp5) {
        this.goodProp5 = goodProp5;
    }

    public String getGoodProp6() {
        return goodProp6;
    }

    public void setGoodProp6(String goodProp6) {
        this.goodProp6 = goodProp6;
    }

    public String getGoodsAmount() {
        return goodsAmount;
    }

    public void setGoodsAmount(String goodsAmount) {
        this.goodsAmount = goodsAmount;
    }

    public String getGoodsCount() {
        return goodsCount;
    }

    public void setGoodsCount(String goodsCount) {
        this.goodsCount = goodsCount;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsNo() {
        return goodsNo;
    }

    public void setGoodsNo(String goodsNo) {
        this.goodsNo = goodsNo;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getIsPackage() {
        return isPackage;
    }

    public void setIsPackage(String isPackage) {
        this.isPackage = isPackage;
    }

    public String getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(String marketPrice) {
        this.marketPrice = marketPrice;
    }

    public String getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(String modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public String getPaid() {
        return paid;
    }

    public void setPaid(String paid) {
        this.paid = paid;
    }

    public String getPlatformId() {
        return platformId;
    }

    public void setPlatformId(String platformId) {
        this.platformId = platformId;
    }

    public String getProp1() {
        return prop1;
    }

    public void setProp1(String prop1) {
        this.prop1 = prop1;
    }

    public String getProp2() {
        return prop2;
    }

    public void setProp2(String prop2) {
        this.prop2 = prop2;
    }

    public String getProp3() {
        return prop3;
    }

    public void setProp3(String prop3) {
        this.prop3 = prop3;
    }

    public String getProp4() {
        return prop4;
    }

    public void setProp4(String prop4) {
        this.prop4 = prop4;
    }

    public String getProp5() {
        return prop5;
    }

    public void setProp5(String prop5) {
        this.prop5 = prop5;
    }

    public String getProp6() {
        return prop6;
    }

    public void setProp6(String prop6) {
        this.prop6 = prop6;
    }

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }

    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSaleOrderId() {
        return saleOrderId;
    }

    public void setSaleOrderId(String saleOrderId) {
        this.saleOrderId = saleOrderId;
    }

    public String getSellPrice() {
        return sellPrice;
    }

    public void setSellPrice(String sellPrice) {
        this.sellPrice = sellPrice;
    }

    public String getShareAmount() {
        return shareAmount;
    }

    public void setShareAmount(String shareAmount) {
        this.shareAmount = shareAmount;
    }

    public String getSharePostAmount() {
        return sharePostAmount;
    }

    public void setSharePostAmount(String sharePostAmount) {
        this.sharePostAmount = sharePostAmount;
    }

    public String getSharePrice() {
        return sharePrice;
    }

    public void setSharePrice(String sharePrice) {
        this.sharePrice = sharePrice;
    }

    public String getSpecCode() {
        return specCode;
    }

    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    public String getSpecId() {
        return specId;
    }

    public void setSpecId(String specId) {
        this.specId = specId;
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName;
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo;
    }

    public String getSrcOid() {
        return srcOid;
    }

    public void setSrcOid(String srcOid) {
        this.srcOid = srcOid;
    }

    public String getSrcOrderDetailId() {
        return srcOrderDetailId;
    }

    public void setSrcOrderDetailId(String srcOrderDetailId) {
        this.srcOrderDetailId = srcOrderDetailId;
    }

    public String getSrcTid() {
        return srcTid;
    }

    public void setSrcTid(String srcTid) {
        this.srcTid = srcTid;
    }

    public String getStockoutId() {
        return stockoutId;
    }

    public void setStockoutId(String stockoutId) {
        this.stockoutId = stockoutId;
    }

    public String getSuiteNo() {
        return suiteNo;
    }

    public void setSuiteNo(String suiteNo) {
        this.suiteNo = suiteNo;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public String getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

}

